summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-02-04 19:20:00 +0000
committer Eric Hameleers <alien@slackware.com>2024-02-04 20:59:45 +0100
commit362e0f90f1923561ec2a529306ba558eb17744c6 (patch)
tree9134582307ac632eb94719cb32648ba86c1f0924 /source
parent97075b27cab44f7221cdec9c55162647109c7245 (diff)
downloadcurrent-362e0f90f1923561ec2a529306ba558eb17744c6.tar.gz
current-362e0f90f1923561ec2a529306ba558eb17744c6.tar.xz
Sun Feb 4 19:20:00 UTC 202420240204192000
ap/pamixer-1.6-x86_64-1.txz: Upgraded. d/rust-bindgen-0.69.4-x86_64-1.txz: Upgraded. l/cxxopts-3.1.1-x86_64-1.txz: Added. Needed by pamixer-1.6. l/gc-8.2.6-x86_64-1.txz: Upgraded. l/libxml2-2.12.5-x86_64-1.txz: Upgraded. Fix the following security issue: xmlreader: Don't expand XIncludes when backtracking. For more information, see: https://www.cve.org/CVERecord?id=CVE-2024-25062 (* Security fix *) x/bitmap-1.1.1-x86_64-1.txz: Upgraded. x/xditview-1.0.7-x86_64-1.txz: Upgraded. x/xkbcomp-1.4.7-x86_64-1.txz: Upgraded. x/xkbutils-1.0.6-x86_64-1.txz: Upgraded. x/xmore-1.0.4-x86_64-1.txz: Upgraded. x/xprop-1.2.7-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/ap/pamixer/pamixer.SlackBuild38
-rwxr-xr-xsource/d/rust-bindgen/fetch-sources.sh2
-rw-r--r--source/kde/kde/slack-desc/kjots2
-rwxr-xr-xsource/l/cxxopts/cxxopts.SlackBuild118
-rw-r--r--source/l/cxxopts/cxxopts.url1
-rw-r--r--source/l/cxxopts/slack-desc19
-rwxr-xr-xsource/l/gc/gc.SlackBuild2
-rw-r--r--source/l/libplacebo/slack-desc2
-rw-r--r--source/l/python-editables/slack-desc2
-rw-r--r--source/l/python-hatchling/slack-desc2
-rw-r--r--source/l/python-pathspec/slack-desc2
-rw-r--r--source/l/python-pluggy/slack-desc2
-rw-r--r--source/l/python-trove-classifiers/slack-desc2
-rw-r--r--source/x/x11/build/xmore2
-rw-r--r--source/x/x11/slack-desc/xorg-server2
15 files changed, 179 insertions, 19 deletions
diff --git a/source/ap/pamixer/pamixer.SlackBuild b/source/ap/pamixer/pamixer.SlackBuild
index b0c13b461..b8041bcce 100755
--- a/source/ap/pamixer/pamixer.SlackBuild
+++ b/source/ap/pamixer/pamixer.SlackBuild
@@ -1,8 +1,7 @@
#!/bin/bash
-# Slackware build script for pamixer
-
# Copyright 2015 Robby Workman, Tuscaloosa, Alabama, USA
+# Copyright 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pamixer
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-8}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -76,15 +75,38 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-sed -i "s,CXXFLAGS ?=,CXXFLAGS ?= \$(OPTFLAGS),g" Makefile
-make OPTFLAGS="$SLKCFLAGS" || exit 1
-
-mkdir -p $PKG/usr/bin
-cp -a pamixer $PKG/usr/bin
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
COPYING* README* \
diff --git a/source/d/rust-bindgen/fetch-sources.sh b/source/d/rust-bindgen/fetch-sources.sh
index a9febbf37..4f065a045 100755
--- a/source/d/rust-bindgen/fetch-sources.sh
+++ b/source/d/rust-bindgen/fetch-sources.sh
@@ -1,7 +1,7 @@
#!/bin/bash
#VERSION=$1
-VERSION=0.69.2
+VERSION=0.69.4
rm -rf rust-bindgen-*.tar.?z cargo-rust-bindgen*
diff --git a/source/kde/kde/slack-desc/kjots b/source/kde/kde/slack-desc/kjots
index 055f8c188..a793524d7 100644
--- a/source/kde/kde/slack-desc/kjots
+++ b/source/kde/kde/slack-desc/kjots
@@ -11,7 +11,7 @@ kjots:
kjots: KJots is a note-taking application that organises all of your notes
kjots: into separate books.
kjots:
-kjots: Homepage: https://www.kde.org/applications/utilities/kjots/
+kjots: Homepage: https://www.kde.org/applications/utilities/kjots/
kjots:
kjots:
kjots:
diff --git a/source/l/cxxopts/cxxopts.SlackBuild b/source/l/cxxopts/cxxopts.SlackBuild
new file mode 100755
index 000000000..960d5d9cb
--- /dev/null
+++ b/source/l/cxxopts/cxxopts.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+
+# Copyright 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=cxxopts
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+mkdir cmake-build
+cd cmake-build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+ -DDOC_INSTALL_DIR="doc" \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCXXOPTS_BUILD_EXAMPLES=OFF \
+ -DCXXOPTS_BUILD_TESTS=OFF \
+ .. || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ CHANGELOG* INSTALL* LICENSE* README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/cxxopts/cxxopts.url b/source/l/cxxopts/cxxopts.url
new file mode 100644
index 000000000..370cbdd29
--- /dev/null
+++ b/source/l/cxxopts/cxxopts.url
@@ -0,0 +1 @@
+https://github.com/jarro2783/cxxopts
diff --git a/source/l/cxxopts/slack-desc b/source/l/cxxopts/slack-desc
new file mode 100644
index 000000000..944c36ed7
--- /dev/null
+++ b/source/l/cxxopts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cxxopts: cxxopts (C++ command line option parser)
+cxxopts:
+cxxopts: This is a lightweight C++ option parser library, supporting the
+cxxopts: standard GNU style syntax for options.
+cxxopts:
+cxxopts: Homepage: https://github.com/jarro2783/cxxopts
+cxxopts:
+cxxopts:
+cxxopts:
+cxxopts:
+cxxopts:
diff --git a/source/l/gc/gc.SlackBuild b/source/l/gc/gc.SlackBuild
index 23ccaf41e..b2a0a9f22 100755
--- a/source/l/gc/gc.SlackBuild
+++ b/source/l/gc/gc.SlackBuild
@@ -27,7 +27,7 @@ PKGNAM=gc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
-LAO_VERSION="7.8.0" # libatomic_ops version
+LAO_VERSION="7.8.2" # libatomic_ops version
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/libplacebo/slack-desc b/source/l/libplacebo/slack-desc
index e580bad41..69bafb327 100644
--- a/source/l/libplacebo/slack-desc
+++ b/source/l/libplacebo/slack-desc
@@ -13,7 +13,7 @@ libplacebo: of mpv rewritten as an independent library. It contains a large
libplacebo: assortment of video processing shaders, focusing on both quality and
libplacebo: performance.
libplacebo:
-libplacebo: Homepage: https://code.videolan.org/videolan/libplacebo
+libplacebo: Homepage: https://code.videolan.org/videolan/libplacebo
libplacebo:
libplacebo:
libplacebo:
diff --git a/source/l/python-editables/slack-desc b/source/l/python-editables/slack-desc
index b515367be..d31f120d2 100644
--- a/source/l/python-editables/slack-desc
+++ b/source/l/python-editables/slack-desc
@@ -14,6 +14,6 @@ python-editables: mode". In other words, changes to the package source will be
python-editables: reflected in the package visible to Python, without needing a
python-editables: reinstall.
python-editables:
-python-editables: Homepage: https://pypi.org/project/editables
+python-editables: Homepage: https://pypi.org/project/editables
python-editables:
python-editables:
diff --git a/source/l/python-hatchling/slack-desc b/source/l/python-hatchling/slack-desc
index 0e5b60da9..6efa9c82c 100644
--- a/source/l/python-hatchling/slack-desc
+++ b/source/l/python-hatchling/slack-desc
@@ -11,7 +11,7 @@ python-hatchling:
python-hatchling: This is the extensible, standards compliant build backend used by
python-hatchling: Hatch.
python-hatchling:
-python-hatchling: Homepage: https://pypi.org/project/hatchling
+python-hatchling: Homepage: https://pypi.org/project/hatchling
python-hatchling:
python-hatchling:
python-hatchling:
diff --git a/source/l/python-pathspec/slack-desc b/source/l/python-pathspec/slack-desc
index 2f3a80848..32047383e 100644
--- a/source/l/python-pathspec/slack-desc
+++ b/source/l/python-pathspec/slack-desc
@@ -13,7 +13,7 @@ python-pathspec: So far this only includes Git’s wildmatch pattern matching wh
python-pathspec: itself is derived from Rsync’s wildmatch. Git uses wildmatch for
python-pathspec: its gitignore files.
python-pathspec:
-python-pathspec: Homepage: https://pypi.org/project/pathspec
+python-pathspec: Homepage: https://pypi.org/project/pathspec
python-pathspec:
python-pathspec:
python-pathspec:
diff --git a/source/l/python-pluggy/slack-desc b/source/l/python-pluggy/slack-desc
index e2c3c6ed6..f2361b23b 100644
--- a/source/l/python-pluggy/slack-desc
+++ b/source/l/python-pluggy/slack-desc
@@ -11,7 +11,7 @@ python-pluggy:
python-pluggy: pluggy is a minimalist production ready plugin system. It is the
python-pluggy: core framework used by the pytest, tox, and devpi projects.
python-pluggy:
-python-pluggy: Homepage: https://pypi.org/project/pluggy
+python-pluggy: Homepage: https://pypi.org/project/pluggy
python-pluggy:
python-pluggy:
python-pluggy:
diff --git a/source/l/python-trove-classifiers/slack-desc b/source/l/python-trove-classifiers/slack-desc
index 4a83c4178..9acbddca1 100644
--- a/source/l/python-trove-classifiers/slack-desc
+++ b/source/l/python-trove-classifiers/slack-desc
@@ -11,7 +11,7 @@ python-trove-classifiers:
python-trove-classifiers: Classifiers categorize projects per PEP 301. Use this package to
python-trove-classifiers: validate classifiers in packages for PyPI upload or download.
python-trove-classifiers:
-python-trove-classifiers: Homepage: https://pypi.org/project/trove-classifiers
+python-trove-classifiers: Homepage: https://pypi.org/project/trove-classifiers
python-trove-classifiers:
python-trove-classifiers:
python-trove-classifiers:
diff --git a/source/x/x11/build/xmore b/source/x/x11/build/xmore
index 00750edc0..d00491fd7 100644
--- a/source/x/x11/build/xmore
+++ b/source/x/x11/build/xmore
@@ -1 +1 @@
-3
+1
diff --git a/source/x/x11/slack-desc/xorg-server b/source/x/x11/slack-desc/xorg-server
index cb6b3a18a..5595ad0be 100644
--- a/source/x/x11/slack-desc/xorg-server
+++ b/source/x/x11/slack-desc/xorg-server
@@ -16,4 +16,4 @@ xorg-server: 4.4rc2 release. The XFree86 release was originally derived from X38
xorg-server: 1.2 by Thomas Roell which was contributed to X11R5 by Snitily Graphics
xorg-server: Consulting Service.
xorg-server:
-xorg-server: Homepage: https://www.x.org
+xorg-server: Homepage: https://www.x.org